net.sf.jasperreports.components.map

## Class StandardMarker

- java.lang.Object
- - net.sf.jasperreports.components.map.StandardMarker

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Marker, JRChangeEventsSupport, JRCloneable

  Deprecated.
  Replaced by `StandardItem`.

      public class StandardMarker
      extends java.lang.Object
      implements Marker, JRChangeEventsSupport, java.io.Serializable

  Version:
    $Id: StandardMarker.java 6002 2013-03-20 08:15:32Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_MARKER_PROPERTIES` Deprecated.

    - ### Fields inherited from interface net.sf.jasperreports.components.map.Marker

      `PROPERTY_latitude, PROPERTY_longitude, PROPERTY_title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardMarker()` Deprecated.
    `StandardMarker(java.util.List<MarkerProperty> properties)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMarkerProperty(MarkerProperty property)` Deprecated.
    `java.lang.Object` | `clone()` Deprecated.
    `JRPropertyChangeSupport` | `getEventSupport()` Deprecated. Returns the property change support object for this instance.
    `java.util.List<MarkerProperty>` | `getProperties()` Deprecated.
    `void` | `removeMarkerProperty(MarkerProperty property)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_MARKER_PROPERTIES

          public static final java.lang.String PROPERTY_MARKER_PROPERTIES

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardMarker

          public StandardMarker()

      Deprecated.

    - #### StandardMarker

          public StandardMarker(java.util.List<MarkerProperty> properties)

      Deprecated.

  - ### Method Detail

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Deprecated.
      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Deprecated.
      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getProperties

          public java.util.List<MarkerProperty> getProperties()

      Deprecated.
      Specified by:
        `getProperties` in interface `Marker`

    - #### addMarkerProperty

          public void addMarkerProperty(MarkerProperty property)

      Deprecated.

    - #### removeMarkerProperty

          public void removeMarkerProperty(MarkerProperty property)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com